<?PHP
/**
 * This file contains an exception class for usage of invalid noda links.
 * As a direct decendent of Exception, triggering this exception will lead to a report.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Custom exception class to be raised when trying to use a language that is not
 * accepted by museum-digital.
 */
class MDInvalidNodaLink extends Exception {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        return 'The noda link is not valid: ' . $this->getMessage();

    }
}
