<?PHP
/**
 * This file contains an exception class to be raised if a submitted PGP key
 * is invalid.
 *
 * @file
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Custom exception class to be raised if a submitted PGP key is not valid.
 */
final class MDPgpKeyIsInvalid extends MDgenericInvalidInputsException {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        return 'PGP key is invalid. ' . $this->getMessage();

    }
}
